## org.apache.bcel.generic
Class BasicType

    java.lang.Object
      |
      +--org.apache.bcel.generic.Type
            |
            +--org.apache.bcel.generic.BasicType

All Implemented Interfaces:
  java.io.Serializable

public final class BasicType
extends Type

Denotes basic type such as int.

Version:
  $Id: BasicType.java,v 1.1.1.1 2001/10/29 20:00:06 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Type
`BOOLEAN, BYTE, CHAR, DOUBLE, FLOAT, INT, LONG, NO_ARGS, NULL, OBJECT, SHORT, signature, STRING, STRINGBUFFER, THROWABLE, type, UNKNOWN, VOID`

Method Summary
`boolean` `equals(java.lang.Object type)`
`static BasicType` `getType(byte type)`

Methods inherited from class org.apache.bcel.generic.Type
`getArgumentTypes, getMethodSignature, getReturnType, getSignature, getSignature, getSize, getType, getType, getType, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getType

    public static final BasicType getType(byte type)

### equals

    public boolean equals(java.lang.Object type)

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if both type objects refer to the same type

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.